%global debug_package %{nil}
AutoReqProv: no

Name:           chromium-unstable
Version:        140.0
Release:        0%{?dist}
Summary:        Chromium
License:        GPLv2
URL:            https://gitlab.com/kohnish/chromium
BuildRequires:  p7zip p7zip-plugins
Requires: curl unzip

%description
chromium

%prep

%build
ver=140.0.7291.0
ver_full=v${ver}-r1485923
rev=1
curl -L -o chromium.deb https://github.com/RobRich999/Chromium_Clang/releases/download/${ver_full}-linux64-deb-avx2/chromium-browser-unstable_${ver}-${rev}_amd64.deb
7z x -aoa chromium.deb

curl -L -O https://github.com/kohnish/chromium-widevine/archive/refs/heads/master.zip
7z x master.zip
./chromium-widevine-master/use-standalone-widevine.sh $%{buildroot}/opt/chromium.org/

%install
tar --overwrite -xf data.tar.xz -C%{buildroot}

rm %{buildroot}/opt/chromium.org/chromium-unstable/chromium-browser
rm -rf %{buildroot}/usr
rm -rf %{buildroot}/etc

mkdir -p %{buildroot}/usr/share/applications
cat > %{buildroot}/usr/share/applications/chromium-unstable.desktop << "EOF"
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Chromium
Exec=/opt/chromium.org/chromium-unstable/chrome-wrapper %U
Terminal=false
Icon=/opt/chromium.org/chromium-unstable/product_logo_256.png
Type=Application
Categories=Application;Network;WebBrowser;
MimeType=text/html;text/xml;application/xhtml_xml;
EOF

cat > %{buildroot}/opt/chromium.org/chromium-unstable/chrome-wrapper << "EOF"
#!/bin/bash
proxy_opt=''
if [[ ! -z $proxy_pac ]] && [[ -f $proxy_pac ]]; then
    base64_pac=`base64 -w0 $proxy_pac`
    proxy_opt=-proxy-pac-url='data:application/x-javascript-config;base64,'$base64_pac
fi
exec /opt/chromium.org/chromium-unstable/chrome --enable-features=TouchpadOverscrollHistoryNavigation --ozone-platform-hint=auto --enable-wayland-ime --wayland-text-input-version=3 $proxy_opt $@
EOF

chmod +x %{buildroot}/opt/chromium.org/chromium-unstable/chrome-wrapper

%files
/opt/chromium.org
/usr/share/applications/chromium-unstable.desktop

%changelog
* Mon May 04 2020 kohnish gmx <kohnish@gmx.com> - 1.5.1-1
- Initial
